// Map page keys to key numbers.
// 'k' maps the key inside a key; 'p' maps a "plain" key.
// If a page has only one key, either can be used.

const int key_k[PAGES] =
{
   0,	//  1
   2,	//  2
   3,	//  3
   4,	//  4
   5,	//  5
   6,	//  6
   7,	//  7
   9,	//  8
  10,	//  9
  11,	// 10
  12,	// 11
  14,	// 12
  15,	// 13
};

const int key_p[PAGES] =
{
   1,	//  1
   2,	//  2
   3,	//  3
   4,	//  4
   5,	//  5
   6,	//  6
   8,	//  7
   9,	//  8
  10,	//  9
  11,	// 10
  13,	// 11
  14,	// 12
  15,	// 13
};

// Map the key number back to a string.
const char* const key_s[KEYS] =
{
  "1k",
  "1p",
  "2p",
  "3p",
  "4k",
  "5k",
  "6p",
  "7k",
  "7p",
  "8p",
  "9p",
  "10p",
  "11k",
  "11p",
  "12p",
  "13p",
  "1r",
  "2r",
  "3r",
  "4r",
  "5r"
};
